/2026-07/retail-media/balances/{balanceId}/history
curl --request GET \
--url https://api.criteo.com/2026-07/retail-media/balances/{balanceId}/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.criteo.com/2026-07/retail-media/balances/{balanceId}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.criteo.com/2026-07/retail-media/balances/{balanceId}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"changeDetails": {
"changeValue": "<string>",
"currentValue": "<string>",
"previousValue": "<string>"
},
"changeType": "BalanceCreated",
"dateOfModification": "2023-11-07T05:31:56Z",
"modifiedByUser": "<string>",
"memo": "<string>"
},
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"type": "unknown"
}
],
"metadata": {
"limit": 123,
"offset": 123,
"count": 123
},
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"type": "unknown"
}
]
}/2026-07/retail-media/balances/{balanceId}/history
Gets the balance’s historical change data.
GET
/
2026-07
/
retail-media
/
balances
/
{balanceId}
/
history
/2026-07/retail-media/balances/{balanceId}/history
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Balance id.
Query Parameters
The number of elements to be returned.
Required range:
1 <= x <= 500Comma separated change types string that will be queried.
The (zero-based) starting offset in the collection.
Required range:
0 <= x <= 2147483647Response
200 - application/json
Success
A top-level object that encapsulates a Criteo API response for several value objects and metadata.
Show child attributes
Show child attributes
Errors that occured during this call.
Show child attributes
Show child attributes
Metadata related to the current request.
Show child attributes
Show child attributes
Warnings that occured during this call.
Show child attributes
Show child attributes
Was this page helpful?